//#region ../../node_modules/@chevrotain/regexp-to-ast/lib/src/utils.js
function e(e) {
	return e.charCodeAt(0);
}
function t(e, t) {
	Array.isArray(e) ? e.forEach(function(e) {
		t.push(e);
	}) : t.push(e);
}
function n(e, t) {
	if (e[t] === !0) throw "duplicate flag " + t;
	e[t], e[t] = !0;
}
function r(e) {
	// istanbul ignore next
	if (e === void 0) throw Error("Internal Error - Should never get here!");
	return !0;
}
// istanbul ignore next
function i() {
	throw Error("Internal Error - Should never get here!");
}
function a(e) {
	return e.type === "Character";
}
//#endregion
export { r as ASSERT_EXISTS, i as ASSERT_NEVER_REACH_HERE, n as addFlag, e as cc, t as insertToSet, a as isCharacter };
